// IOCallbacks.h

#ifndef _IO_CALLBACKS_H_
#define _IO_CALLBACKS_H_

#include "../FileSystem/File.h"

extern "C"
{
#include <libavformat/avio.h>
} // end extern c

namespace Convex
{

	class FFMpegIO
	{
	protected:
		ByteIOContext byte_io_context;
		unsigned char *buffer;
		File *file;

		void CleanUp();

	public:
		FFMpegIO(const UniString &filename);
		~FFMpegIO();

		ByteIOContext *GetIOContext();

		Integer64 Tell() const;
	};

} // end namespace Convex

#endif // ndef _IO_CALLBACKS_H_
