// VideoOps.h

#ifndef _VIDEO_OPS_H_
#define _VIDEO_OPS_H_

#include "VideoTexture.h"
#include "../Strings/UniString.h"

namespace Convex
{
	class GraphicsContext;

	class VideoOps
	{
	public:
		static Video *CreateVideo(const UniString &filename);
		static void DeleteVideo(Video *vid);

		static VideoTexture *ActualCreateVideoTexture(GraphicsContext *context, const UniString &filename,
			bool convert_rgb=true);
		static VideoTexture *CreateVideoTexture(GraphicsContext *context, const UniString &filename, 
			bool convert_rgb=true, const UniStringSet *path=NULL);
		static void DeleteVideoTexture(VideoTexture *vid);
	};

} // end namespace Convex

#endif // ndef _VIDEO_OPS_H_
