// VideoTexture.h

#ifndef _VIDEO_TEXTURE_H_
#define _VIDEO_TEXTURE_H_

#include "Video.h"

namespace Convex
{
	class GraphicsContext;
	class DynamicTexture;

	class VideoTexture : public Video
	{
		friend class VideoOps;
	protected:
		GraphicsContext *gc;
		DynamicTexture *tex;
	public:
		VideoTexture(GraphicsContext *context, const UniString &filename, bool convert_rgb=false);
		~VideoTexture();

		void UpdatePixels();
		DynamicTexture *GetTexture();
	};

} // end namespace Convex

#endif // ndef _VIDEO_TEXTURE_H_

